CREATE TABLE FCM_HABILIDADE (
	NRHABILIDADE      NUMBER          NOT NULL,
	NMHABILIDADE      VARCHAR2(150)   NOT NULL,
 	NRORG             NUMBER 	      DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') 		NOT NULL,
    IDATIVO           VARCHAR2(1)     DEFAULT 'S'					NOT NULL,
    DTINCLUSAO        DATE            DEFAULT SYSDATE,
    DTULTATU          DATE            DEFAULT SYSDATE,
    NRORGINCLUSAO     NUMBER          DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')		NULL,
    CDOPERINCLUSAO    VARCHAR2(12)    DEFAULT '1' 					NULL,
    NRORGULTATU       NUMBER          DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')		NULL,
    CDOPERULTATU      VARCHAR2(12)    DEFAULT '1'
)
/

ALTER TABLE FCM_HABILIDADE ADD CONSTRAINT PK_FCM_HABILIDADE PRIMARY KEY (NRHABILIDADE)
/

ALTER TABLE FCM_HABILIDADE ADD CONSTRAINT CKC_IDATIVO_FCM_HABILIDADE CHECK (IDATIVO IN ('S', 'N'))
/


CREATE TABLE FCM_RELACHABATIV (
	NRRELACHABATIV    NUMBER          NOT NULL,
	NRHABILIDADE      NUMBER          NOT NULL,
	NRTAREFA          NUMBER          NOT NULL,
 	NRORG             NUMBER 	      DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') 		NOT NULL,
    IDATIVO           VARCHAR2(1)     DEFAULT 'S'					NOT NULL,
    DTINCLUSAO        DATE            DEFAULT SYSDATE,
    DTULTATU          DATE            DEFAULT SYSDATE,
    NRORGINCLUSAO     NUMBER          DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')		NULL,
    CDOPERINCLUSAO    VARCHAR2(12)    DEFAULT '1' 					NULL,
    NRORGULTATU       NUMBER          DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')		NULL,
    CDOPERULTATU      VARCHAR2(12)    DEFAULT '1'
)
/

ALTER TABLE FCM_RELACHABATIV ADD CONSTRAINT PK_FCM_RELACHABATIVIDADE PRIMARY KEY (NRRELACHABATIV)
/

ALTER TABLE FCM_RELACHABATIV ADD CONSTRAINT CKC_IDATIVO_FCM_RELACHABATIV CHECK (IDATIVO IN ('S', 'N'))
/

ALTER TABLE FCM_RELACHABATIV 
  ADD CONSTRAINT FKFCM00190_FCM_HABI_RELAC FOREIGN KEY (NRHABILIDADE)
      REFERENCES FCM_HABILIDADE (NRHABILIDADE) 
/
 
CREATE INDEX FCM00190_FK ON FCM_RELACHABATIV (NRHABILIDADE)
/
     
ALTER TABLE FCM_RELACHABATIV 
  ADD CONSTRAINT FKFCM00191_FCM_TAREFA_RELAC FOREIGN KEY (NRTAREFA)
      REFERENCES FCM_TAREFA (NRTAREFA)       
/

CREATE INDEX FCM00191_FK ON FCM_RELACHABATIV (NRTAREFA)
/


CREATE TABLE FCM_RELACHABOPER (
	NRRELACHABOPER    NUMBER          NOT NULL,
	NRHABILIDADE      NUMBER          NOT NULL,
	CDOPERADOR        VARCHAR2 (12)   NOT NULL,
 	NRORG             NUMBER 	      DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') 		NOT NULL,
    IDATIVO           VARCHAR2(1)     DEFAULT 'S'					NOT NULL,
    DTINCLUSAO        DATE            DEFAULT SYSDATE,
    DTULTATU          DATE            DEFAULT SYSDATE,
    NRORGINCLUSAO     NUMBER          DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')		NULL,
    CDOPERINCLUSAO    VARCHAR2(12)    DEFAULT '1' 					NULL,
    NRORGULTATU       NUMBER          DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')		NULL,
    CDOPERULTATU      VARCHAR2(12)    DEFAULT '1'
)
/

ALTER TABLE FCM_RELACHABOPER ADD CONSTRAINT PK_FCM_RELACHABOPER PRIMARY KEY (NRRELACHABOPER)
/

ALTER TABLE FCM_RELACHABOPER ADD CONSTRAINT CKC_IDATIVO_FCM_RELACHABOPER CHECK (IDATIVO IN ('S', 'N'))
/

ALTER TABLE FCM_RELACHABOPER
  ADD CONSTRAINT FKFCM00192_FCM_HABILI_RELAC FOREIGN KEY (NRHABILIDADE)
      REFERENCES FCM_HABILIDADE (NRHABILIDADE) 
/ 

CREATE INDEX FCM00192_FK ON FCM_RELACHABOPER (NRHABILIDADE)
/
   
ALTER TABLE FCM_RELACHABOPER 
  ADD CONSTRAINT FKFCM00193_OPERA_FCM_RELAC FOREIGN KEY (CDOPERADOR)
      REFERENCES OPERADOR (CDOPERADOR)
/

CREATE INDEX FCM00193_FK ON FCM_RELACHABOPER (CDOPERADOR)
/      


ALTER TABLE FCM_PARAMGERAL ADD IDUTILIZAHABILIDADE  VARCHAR2(1)
/

ALTER TABLE FCM_PARAMGERAL ADD CONSTRAINT CKC_IDUTILIZAHABILIDADE CHECK (IDUTILIZAHABILIDADE IN ('S', 'N'))
/